<?php

/**
 * @file
 * Slack integration module admin functions.
 */

/**
 * Slack module admin form.
 */
function amocrm_widget_slack_integration_configure_form($form, &$form_state) {
  $form['amocrm_widget_slack_integration_api_url'] = array(
    '#type' => 'textfield',
    '#title' => t('Web API URL'),
    '#default_value' => variable_get('amocrm_widget_slack_integration_api_url'),
  );
  $form['amocrm_widget_slack_integration_slash_command_token'] = array(
    '#type' => 'textfield',
    '#title' => t('Slash-command token'),
    '#default_value' => variable_get('amocrm_widget_slack_integration_slash_command_token'),
  );
  $form['amocrm_widget_slack_integration_chat_url'] = array(
    '#type' => 'textfield',
    '#title' => t('Messages URL'),
    '#default_value' => variable_get('amocrm_widget_slack_integration_chat_url'),
  );
  $form['amocrm_widget_slack_integration_client_id'] = array(
    '#type' => 'textfield',
    '#title' => t('Client ID'),
    '#description' => t('OAuth Information'),
    '#default_value' => variable_get('amocrm_widget_slack_integration_client_id'),
  );
  $form['amocrm_widget_slack_integration_client_secret'] = array(
    '#type' => 'textfield',
    '#title' => t('Client secret'),
    '#description' => t('OAuth Information'),
    '#default_value' => variable_get('amocrm_widget_slack_integration_client_secret'),
  );
  $form['amocrm_widget_slack_integration_token'] = array(
    '#type' => 'textfield',
    '#title' => t('Token'),
    '#description' => t('OAuth Information'),
    '#default_value' => variable_get('amocrm_widget_slack_integration_token'),
  );
  $form['amocrm_widget_slack_integration_webhook_url'] = array(
    '#type' => 'textfield',
    '#title' => t('Webhook URL'),
    '#description' => t('Enter your Webhook URL from an Incoming WebHooks integration. It looks like https://hooks.slack.com/services/XXXXXXXXX/YYYYYYYYY/ZZZZZZZZZZZZZZZZZZZZZZZZ'),
    '#default_value' => amocrm_widget_slack_integration_get_default_webhook_url(),
    '#required' => TRUE,
  );
  $form['amocrm_widget_slack_integration_channel'] = array(
    '#type' => 'textfield',
    '#title' => t('Default channel'),
    '#description' => t('Enter your channel name with # symbol, for example #general (or @username for a private message or a private group name).'),
    '#default_value' => variable_get('amocrm_widget_slack_integration_channel'),
  );
  $form['amocrm_widget_slack_integration_username'] = array(
    '#type' => 'textfield',
    '#title' => t('Default username'),
    '#description' => t('What would you like to name your Slack bot?'),
    '#default_value' => variable_get('amocrm_widget_slack_integration_username'),
  );
  $form['amocrm_widget_slack_integration_icon_type'] = array(
    '#type' => 'radios',
    '#title' => t('Type of image'),
    '#options' => array (
      'emoji' => t('Emoji'),
      'image' => t('Image'),
      'none' => t('None (Use default integration settings)')),
    '#default_value' => amocrm_widget_slack_integration_get_default_icon_type(),
  );
  $form['amocrm_widget_slack_integration_icon_emoji'] = array(
    '#type' => 'textfield',
    '#title' => t('Emoji code'),
    '#default_value' => variable_get('amocrm_widget_slack_integration_icon_emoji'),
    '#description' => t('What emoji would you use for your SlackBot?'),
    '#states' => array(
      'visible' => array(
        ':input[name="slack_icon_type"]' => array(
          'value' => 'emoji',
        ),
      ),
    ),
  );
  $form['amocrm_widget_slack_integration_icon_url'] = array(
    '#type' => 'textfield',
    '#title' => t('Image URL'),
    '#default_value' => variable_get('amocrm_widget_slack_integration_icon_url'),
    '#description' => t('What icon would you use for your SlackBot?'),
    '#states' => array(
      'visible' => array(
        ':input[name="slack_icon_type"]' => array(
          'value' => 'image',
        ),
      ),
    ),
  );

  return system_settings_form($form);
}
